import numpy as np
import matplotlib.pyplot as plt

import algo
import data
import affichage


"""
    Resolution du probleme min |A x - b| par decomposition QR
"""

################################################
# Recuperation des donnees
################################################

# Parametres :
N = 5
omega = 20.0

print "Choix jeu de donnees :"
print "1 : mesures1.data"
print "2 : mesures2.data"
choix = input()


[A,b] = data.donneePbInverse(N,choix)



################################################
# Application de la decomposition QR
################################################

print "Application de la decomposition QR"
[Q,R] = algo.qr(A)


################################################
# Resolution effective
################################################

print "Resolution effective "
p = len(b)
p = 2*N+1
bbis = np.dot(Q.transpose(),b)
coeff = algo.remontee(R[0:p,0:p],bbis[0:p])


################################################
# Affichage de la solution
################################################


x = np.arange(0.0,1,0.002)
yu = algo.reconsU(coeff,x,N)
yf = algo.reconsF(coeff,x,N,omega)
yfex = data.f(x,choix)


#affichage.afficher([x],[yu])
affichage.afficher([x,x],[yf,yfex])

print "\n\n"


print "FIN \n"
################################################




